Package org.apache.felix.framework.security.util

## Class TrustManager

- java.lang.Object
- - org.apache.felix.framework.security.util.TrustManager

    public final class TrustManager
    extends java.lang.Object

### Constructor Summary

Constructors
`TrustManager​(java.lang.String crlList, java.lang.String typeList, java.lang.String passwdList, java.lang.String storeList, org.apache.felix.framework.util.SecureAction action)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Collection` `getCaCerts()`
`java.util.Collection` `getCRLs()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TrustManager

    public TrustManager​(java.lang.String crlList,
                        java.lang.String typeList,
                        java.lang.String passwdList,
                        java.lang.String storeList,
                        org.apache.felix.framework.util.SecureAction action)

### Method Detail

#### getCRLs

    public java.util.Collection getCRLs()

#### getCaCerts

    public java.util.Collection getCaCerts()